Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class StateType

    java.lang.Object
      com.bea.wli.worklist.api.StateType

All Implemented Interfaces:
  Serializable

public class StateType
extends Object
implements Serializable

This class describes the different possible states of a task. There are 6 possible states. Please refer to the documentation to learn more about states and state transitions.

See Also:
  Serialized Form

Field Summary
`static StateType` | `ABORTED`
`static StateType` | `ASSIGNED`
`static StateType` | `CLAIMED`
`static StateType` | `COMPLETED`
`static StateType` | `STARTED`
`static StateType` | `SUSPENDED`

Constructor Summary
`StateType(String name, Integer value)` Deprecated. Use the StateType constants instead. (e.g. StateType.ASSIGNED)

Method Summary
`static StateType` | `getStateType(Integer value)`
`static StateType` | `getStateType(String value)`
`Integer` | `getValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSIGNED

    public static final StateType ASSIGNED

### CLAIMED

    public static final StateType CLAIMED

### STARTED

    public static final StateType STARTED

### SUSPENDED

    public static final StateType SUSPENDED

### COMPLETED

    public static final StateType COMPLETED

### ABORTED

    public static final StateType ABORTED

Constructor Detail

### StateType

    public StateType(String name,
                     Integer value)

  Deprecated. Use the StateType constants instead. (e.g. StateType.ASSIGNED)

  Construct a new state type.

Method Detail

### toString

    public String toString()

### getValue

    public Integer getValue()

### getStateType

    public static StateType getStateType(Integer value)

### getStateType

    public static StateType getStateType(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD